#include "project.h"
#include "bleTask.h"
#include "mFunction.h"
#include "debug.h"
#include <stdint.h>
#include <string.h>
#include "userData.h"



//全局变量
static cy_stc_ble_conn_handle_t connectionHandle[2];            //蓝牙处理句柄  
static cy_stc_ble_conn_handle_t LastTriggerHandle;              //上一次触发写服务的蓝牙句柄
volatile bool ConnectFlag = false;                              //设备连接蓝牙标志位
volatile bool PairFlag = false;                                 //配对标志位
static uint8_t cmdBuffer[100];                                  //蓝牙接收数据的缓冲区
static uint8_t cmdLength;                                       //蓝颜接收数据的缓冲区的数据长度
//uint8_t NotifyData[NotifyDataLen] = "I am JackLin";             //测试数据
uint8_t DeviceID[8];                                            //设备独立ID
uint8_t String_DeviceID[40] = "DoorLock-";                      //蓝牙广播名称数组
static uint8_t RandNum1[6];                                     //生成随机数的buffer--门锁生成的
// static uint8_t Branch = pNone;                                  //当前处于哪一个流程
static uint8_t SpliceFlag = false;                              //字符串拼接标志位
static uint8_t SessionKey[16];                                  //SessionKey的buffer
static uint8_t SN2[16];                                         //SN2的buffer
static uint8_t DeviceUID[6];                                    //设备UID



void customEventHandle(uint32_t event,void *eventParameter);

void bleTask(void *arg){
    (void)arg;
    uint64_t xxID;
    uint8_t tmp[17];
    //获取设备独立ID
    xxID = Cy_SysLib_GetUniqueId();
    for(char i = 0;i < 8;i++){
        DeviceID[i] = xxID >> (i * 8);
    }
    
    Debug_Info("One2\r\n");
    //
    String_hextoascii((char *)tmp,(char *)DeviceID,8);
    memcpy(tmp,"Update",strlen("Update"));
    //拼接广播名称
    strcat((char *)String_DeviceID,(char *)tmp);
    Debug_Info("One3\r\n");
    Cy_BLE_Start(customEventHandle);
    Debug_Info("One3.1\r\n");
    //设置广播名称
    Cy_BLE_SetLocalName((const char8*)String_DeviceID);
    Debug_Info("One4\r\n");
    while(1){
        Cy_BLE_ProcessEvents();
    }
}


/*
BLE事件处理函数
*/
void customEventHandle(uint32_t event,void *eventParameter)
{
    cy_stc_ble_gatts_write_cmd_req_param_t *writeReqParameter;
    cy_en_ble_api_result_t apiResult;
    uint8_t *p;
    switch(event){
    //协议栈，设备断开，广播断开，超时事件的处理函数
    case CY_BLE_EVT_STACK_ON:      
    case CY_BLE_EVT_GAP_DEVICE_DISCONNECTED:
    case CY_BLE_EVT_GAPP_ADVERTISEMENT_START_STOP:
    case CY_BLE_EVT_TIMEOUT:
        Debug_Info("BLE STack open\r\n");
        Cy_BLE_GAPP_StartAdvertisement(CY_BLE_ADVERTISING_FAST,CY_BLE_PERIPHERAL_CONFIGURATION_0_INDEX);
        break; 
    //GATT服务写事件处理函数    
    case CY_BLE_EVT_GATTS_WRITE_REQ:
        Debug_Info("I am here....\r\n");
        writeReqParameter = (cy_stc_ble_gatts_write_cmd_req_param_t *)eventParameter;
//        WriteRequestHandler(writeReqParameter);
        break;
    //设备连接事件    
    case CY_BLE_EVT_GATT_CONNECT_IND:
        ConnectFlag = true;
        connectionHandle[(*(cy_stc_ble_conn_handle_t *)eventParameter).attId] = *(cy_stc_ble_conn_handle_t *) eventParameter;
        //appConnHandle = *(cy_stc_ble_conn_handle_t *)eventParameter;
        Debug_Info("BLE - GATT connection established\r\n");
        // SetTimer(10,ResetSystem);
        break;
    //设备断开事件
    case CY_BLE_EVT_GATT_DISCONNECT_IND:
        ConnectFlag = false;
        PairFlag = false;
        Debug_Info("DISCONNECT\r\n");
        // StopTimer();
        break;  
    case CY_BLE_EVT_STACK_SHUTDOWN_COMPLETE:
        //Cy_BLE_Start(customEventHandle);
        break;
    case CY_BLE_EVT_HARDWARE_ERROR:
        p = (uint8_t *)eventParameter;
//        SetWhite();
        Debug_Info("CY_BLE_EVT_HARDWARE_ERROR parameters is %d\r\n",*p);
        break;
    //bootloader的写事件
    case CY_BLE_EVT_GATTS_WRITE_CMD_REQ:
        // BootLoaderWriteHandle((cy_stc_ble_gatts_write_cmd_req_param_t *)eventParameter);
        break;
    case CY_BLE_EVT_GAP_AUTH_REQ:
        break;
    case CY_BLE_EVT_GAP_PASSKEY_ENTRY_REQUEST:
        Debug_Info("CY_BLE_EVT_GAP_PASSKEY_ENTRY_REQUEST\r\n");
        break;
    case CY_BLE_EVT_GAP_PASSKEY_DISPLAY_REQUEST:
        Debug_Info("CY_BLE_EVT_GAP_PASSKEY_DISPLAY_REQUEST\r\n");
        break;
    case CY_BLE_EVT_GAP_KEYINFO_EXCHNGE_CMPLT:
        Debug_Info("CY_BLE_EVT_GAP_KEYINFO_EXCHNGE_CMPLT\r\n");
        break;
    case CY_BLE_EVT_GAP_AUTH_COMPLETE:
        Debug_Info("CY_BLE_EVT_GAP_AUTH_COMPLETE\r\n");
        break;
    case CY_BLE_EVT_GAP_AUTH_FAILED:
        Debug_Info("CY_BLE_EVT_GAP_AUTH_FAILED\r\n");
        break;
    case CY_BLE_EVT_GAP_DEVICE_CONNECTED:
        Debug_Info("CY_BLE_EVT_GAP_DEVICE_CONNECTED\r\n");
        break;
    case CY_BLE_EVT_L2CAP_CONN_PARAM_UPDATE_RSP:
        Debug_Info("CY_BLE_EVT_L2CAP_CONN_PARAM_UPDATE_RSP\r\n");
        break;
    // case CY_BLE_EVT_GAP_DEVICE_CONNECTED:
    //     Debug_Info("CY_BLE_EVT_GAP_DEVICE_CONNECTED\r\n");
    //     break;
    // case CY_BLE_EVT_GAP_DEVICE_CONNECTED:
    //     Debug_Info("CY_BLE_EVT_GAP_DEVICE_CONNECTED\r\n");
    //     break;
    // case CY_BLE_EVT_GAP_DEVICE_CONNECTED:
    //     Debug_Info("CY_BLE_EVT_GAP_DEVICE_CONNECTED\r\n");
    //     break;
    default:
        Debug_Info("happen event is %u\r\n",event);
        break;    
    }
}