#ifndef __BSP_INFOROM_H__
#define __BSP_INFOROM_H__

#include "project.h"


/*
把256字节的存储空间分为

FirmwareKey存储空间      时区储存空间           是否添加标志位        保留区域       
|-----16字节------|---------1字节---------|--------1字节---------|-----238字节---------------|
*/



#define     FirmwareKeyAddr                  0                             //FirmwareKey存储的地址
#define     TimeZoneAddr                     (FirmwareKeyAddr + 16)         //时区存储的地址
#define     HasUserFlagAddr                  (TimeZoneAddr + 1)            //是否添加标志位存储的地址
#define     RunningAppIdAddr                 (HasUserFlagAddr + 2)         //正在运行的AppId的存储地址
#define     InitData                          0xA3                         //日志初始化后写入的数据
#define     HasUserDataFlag                  InitData                      //添加后的标志位的数据
#define     LengthOfKey                      16                            //密钥的长度


void InfoRomInit();
uint8_t SaveDataInFlash(uint16_t addr,uint8_t *data,uint32_t size);
uint8_t ReadDataInFlash(uint16_t addr,uint8_t *recvbuffer,uint32_t size);
uint8_t TestSize();





#endif