#include "userData.h"
//用户数据的保存模块


void 
userDataInit(){
    // InfoRomInit();
}

/*
功能：获取设备是否被添加
参数说明：void
1：已经添加
0：未添加
2:获取失败
*/
uint8_t 
GetHasUserFlag(){
    uint8_t tmp;
    if(!ReadDataInFlash(HasUserFlagAddr,&tmp,1)){
        if(tmp == HasUserDataFlag){
            return 1;
        }else{
            return 0;
        }
    }
    return 2;
}


/*
功能：设置设备为被添加状态
参数说明：void
0：成功
1：失败
*/
uint8_t
SetHasUserFlag(){
    uint8_t tmp = HasUserDataFlag;    
    return SaveDataInFlash(HasUserFlagAddr,&tmp,1);
}

/*
功能：设置设备为被添加状态
参数说明：void
0：成功
1：失败
*/
uint8_t 
ResetHasUserFlag(){
    uint8_t tmp = 0; 
    return SaveDataInFlash(HasUserFlagAddr,&tmp,1);
}



/*
功能：保存FirmwareKey
参数说明：
data:FirmwareKey
0：成功
1：失败
*/
uint8_t
SaveFirmwareKey(uint8_t *data){
    return SaveDataInFlash(FirmwareKeyAddr,data,LengthOfKey);
}


/*
功能：获取FirmwareKey
参数说明：
RecvBuffer:FirmwareKey存储的buffer
0：成功
1：失败
*/
uint8_t
GetFirmwareKey(uint8_t *RecvBuffer){
    return ReadDataInFlash(FirmwareKeyAddr,RecvBuffer,LengthOfKey);
}


/*
功能：获取需要运行的APPid
*/
uint32_t GetRunningAppId(){
    uint32_t ret;
    ReadDataInFlash(RunningAppIdAddr,&ret,sizeof(uint32_t));
    return ret;
}

/*
设置需要运行的AppId
*/
void SetRunningAppId(uint32_t appId){
    return SaveDataInFlash(RunningAppIdAddr,&appId,sizeof(uint32_t));
}













